package com.github.jfcloud.gene.file.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.jfcloud.gene.common.constant.WhetherEnum;
import com.github.jfcloud.gene.file.entity.FileInfo;
import com.github.jfcloud.gene.file.mapper.FileInfoMapper;
import com.github.jfcloud.gene.file.service.FileInfoService;
import com.github.jfcloud.gene.file.vo.FileVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class FileInfoServiceImpl extends ServiceImpl<FileInfoMapper, FileInfo> implements FileInfoService {

    @Override
    public List<FileVo> listByRelateId(Long relateId) {
        List<FileInfo> list = list(new LambdaQueryWrapper<>(FileInfo.class)
                .eq(FileInfo::getRelateId, relateId)
                .eq(FileInfo::getDeleted, WhetherEnum.NO.getCode())
                .orderByAsc(FileInfo::getId));
        return BeanUtil.copyToList(list, FileVo.class);
    }
}
